package my.model.listeners;

import java.util.UUID;

import javax.persistence.PrePersist;

import my.model.MyEntity;

/**
 * Entity Listener class that provides UUID generation upon persistence of an entity.
 * <p/>
 */
public class UuidGeneratorListener {
    
    @PrePersist
    public void generateUuid(MyEntity entity) {
        if (entity.getUuid() == null) { 
            String uuid = UUID.randomUUID().toString();
            entity.setUuid(uuid);
        }
    }
    
}
